diff --git a/Project/GNU/CLI/configure.ac b/Project/GNU/CLI/configure.ac
index 062688e..6b0d3dd 100644
--- a/Project/GNU/CLI/configure.ac
+++ b/Project/GNU/CLI/configure.ac
@@ -66,16 +66,10 @@ dnl #########################################################################
 dnl -------------------------------------------------------------------------
 dnl Unicode
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen-config; then
-	enable_unicode="$(../../../../ZenLib/Project/GNU/Library/libzen-config Unicode)"
-elif test "$(libzen-config Exists)" = "yes" ; then
-	enable_unicode="$(libzen-config Unicode)"
+if pkg-config --exists libzen; then
+	enable_unicode="$(pkg-config --variable=Unicode libzen)"
 else
-	if ${PKG_CONFIG:-pkg-config} --exists libzen; then
-		enable_unicode="$(${PKG_CONFIG:-pkg-config} --variable=Unicode libzen)"
-	else
-		AC_MSG_ERROR([libzen configuration is not found])
-	fi
+	AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
@@ -199,41 +193,18 @@ fi
 dnl -------------------------------------------------------------------------
 dnl ZenLib
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen.la; then
-	CXXFLAGS="$CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-	MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-	if test "$enable_staticlibs" = "yes"; then
-		with_zenlib="builtin (static)"
-		LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS_Static)"
-	else
-		with_zenlib="builtin"
-		LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
-	fi
-elif test "$(libzen-config Exists)" = "yes" ; then
-	CXXFLAGS="$CXXFLAGS $(libzen-config CXXFLAGS)"
-	MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(libzen-config CXXFLAGS)"
+if pkg-config --exists libzen; then
+	CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
+	MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
 	if test "$enable_staticlibs" = "yes"; then
 		with_zenlib="system (static)"
-		LIBS="$LIBS $(libzen-config LIBS_Static)"
+		LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
 	else
 		with_zenlib="system"
-		LIBS="$LIBS $(libzen-config LIBS)"
+		LIBS="$LIBS $(pkg-config --libs libzen)"
 	fi
 else
-	if ${PKG_CONFIG:-pkg-config} --exists libzen; then
-		CXXFLAGS="$CXXFLAGS $(${PKG_CONFIG:-pkg-config} --cflags libzen)"
-		MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(${PKG_CONFIG:-pkg-config} --cflags libzen)"
-		if test "$enable_staticlibs" = "yes"; then
-			with_zenlib="system (static)"
-			LIBS="$LIBS $(${PKG_CONFIG:-pkg-config} --variable=Libs_Static libzen)"
-			LIBS="$LIBS $(${PKG_CONFIG:-pkg-config} --static --libs libzen)"
-		else
-			with_zenlib="system"
-			LIBS="$LIBS $(${PKG_CONFIG:-pkg-config} --libs libzen)"
-		fi
-	else
-		AC_MSG_ERROR([libzen configuration is not found])
-	fi
+	AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
@@ -317,4 +288,4 @@ echo "  Using libzen?                                           $with_zenlib"
 echo "  Using libmediainfo?                                     $with_mediainfolib"
 echo ""
 echo "  CXXFLAGS: $CXXFLAGS"
-echo "  LIBS: $LIBS"
\ No newline at end of file
+echo "  LIBS: $LIBS"
diff --git a/Project/GNU/GUI/configure.ac b/Project/GNU/GUI/configure.ac
index eaf7ebb..62833ca 100644
--- a/Project/GNU/GUI/configure.ac
+++ b/Project/GNU/GUI/configure.ac
@@ -80,14 +80,10 @@ dnl #########################################################################
 dnl -------------------------------------------------------------------------
 dnl Unicode
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen-config; then
-    enable_unicode="$(../../../../ZenLib/Project/GNU/Library/libzen-config Unicode)"
+if pkg-config --exists libzen; then
+    enable_unicode="$(pkg-config --variable=Unicode libzen)"
 else
-    if pkg-config --exists libzen; then
-        enable_unicode="$(pkg-config --variable=Unicode libzen)"
-    else
-        AC_MSG_ERROR([libzen configuration is not found])
-    fi
+    AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
@@ -314,31 +310,19 @@ fi
 dnl -------------------------------------------------------------------------
 dnl ZenLib
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen.la; then
-    CXXFLAGS="$CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-    MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
+if pkg-config --exists libzen; then
+    CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
+    MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
     if test "$enable_staticlibs" = "yes"; then
-        with_zenlib="builtin (static)"
-        LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS_Static)"
+        with_zenlib="system (static)"
+        LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
+        LIBS="$LIBS $(pkg-config --static --libs libzen)"
     else
-        with_zenlib="builtin"
-        LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
+        with_zenlib="system"
+        LIBS="$LIBS $(pkg-config --libs libzen)"
     fi
 else
-    if pkg-config --exists libzen; then
-        CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
-        MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
-        if test "$enable_staticlibs" = "yes"; then
-            with_zenlib="system (static)"
-            LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
-            LIBS="$LIBS $(pkg-config --static --libs libzen)"
-        else
-            with_zenlib="system"
-            LIBS="$LIBS $(pkg-config --libs libzen)"
-        fi
-    else
-        AC_MSG_ERROR([libzen configuration is not found])
-    fi
+    AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
